#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";

$t = $q->param('t');

if ($q->param('fct') eq "explain")	{ &var_explain; }
if ($q->param('fct') eq "global_vars")	{ &global_vars; }
if ($q->param('fct') eq "how_to_edit")	{ &how_to_edit; }
if ($q->param('fct') eq "how_to_edit2")	{ &how_to_edit2; }
if ($q->param('fct') eq "manual_edit")	{ &manual_edit; }
if ($q->param('fct') eq "images_in_templates")	{ &images_in_templates; }

####################################################################################



sub images_in_templates
{

print qq[
<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD" style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>How 
    to use Images in Templates:</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext"><blockquote>
      <p>
      Templates are used in conjunction with all aspects of displaying your Directory to end 
      users . Each template consists of HTML code with <strong>variable words</strong> that is 
      used <strong>in combination with each other</strong>. These <strong>variable words</strong> 
      are enclosed by <strong>%%</strong> or <strong>!!</strong> <strong>characters</strong>. 
      For example: <strong>%%date%%</strong>. Most of these variables words need to be present 
      to do a certain task. These variable words are replaced by data when displayed to end 
      users viewing your directory.<br>
      <br>
      One of the easiest ways to understand how templates work is to play around with the HTML 
      code of the templates: Open the HTML templates with your web editor or copy and paste the 
      HTML code into your web editor and start editing. Experiment with the templates and try 
      different combinations. You'll be surprised with what you can come up. The templates gives 
      you total control on the look and feel of your Search Engine and Directory.<br>
      <br>
      <strong>Note that when you make use of images in the HTML code of templates, you must use 
      a URL link to indicate their locations.</strong></p>
      <p><strong>For example:<br>
      </strong><br>
      <strong>&lt;img src=&quot;someimage.gif&quot;&gt;</strong> will not work.<br>
      <br>
      You have to indicate the entire URL where <strong>someimage.gif</strong> is located. For 
      example:<br>
      <br>
      <strong>&lt;img src=&quot;$web_url/someimage.gif&quot;&gt;</strong><br>
      <br>
      The <strong>&lt;img</strong> is an HTML tag indicating that you want to insert an image in 
      the HTML page. The <strong>src=</strong> part indicates that you want to specify the 
      location of the image to be inserted. Some Web Editors will support inserting images from 
      a web url and some won't. If your web editor does not support this, insert the image into 
      the HTML page like usual and, when finished, edit the the HTML source code and manually 
      insert the URL path's to the images. Ensure that the images are on the server/host for the 
      URL path's you specify.<br>
      <br>
      <strong>Example: </strong></p>
      <p><strong>Editing the HTML source code:<br>
      </strong><br>
      Replace <strong>&lt;img src=&quot;someimage.gif&quot;&gt; </strong></p>
      <p>with:</p>
      <p><strong>&lt;img src=&quot;http://www.yourdomain.com/someimage.gif&quot;&gt;</strong></p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
];


}



sub manual_edit
{

print qq[<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD"
style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>How 
    to manually edit this template: (or HTML file)</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext"><blockquote>
      <p>PowerSeek uses no HTML code of it's own. It obtains all the HTML code it uses from 
      ordinary HTML files. It then uses these ordinary HTML files to 'skin' all displays that 
      end users see. This functionality gives you the ability to customize the look and feel 
      exactly like you would like it to look like and makes all displays 100% customizable.</p>
      <p>You can manually open this Template (It's a normal HTML file) with your favorite HTML 
      editor and edit it.<br>
      It is located on your web host here:<br>
      <strong>$data_dir/$t.html</strong></p>
      <p>All templates used are normal HTML files and are located inside PowerSeek's 'data' directory. 
      The PowerSeek 'data' directory is situated here:<br>
      <strong>$data_dir</strong></p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
];


}




sub how_to_edit2
{

print qq[
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">    
<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD"
style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>How 
    to Edit Templates:</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext"><p>PowerSeek uses no HTML code of it's 
      own. It obtains all the HTML code it uses from ordinary HTML files. It then uses these 
      ordinary HTML files to 'skin' all displays that end users see. This functionality gives 
      you the ability to customize the look and feel exactly like you would like it to look like 
    and makes all displays 100% customizable.</p>
      <p>The templates that is used by PowerSeek is  just ordinary HTML files. The only exception is that the templates or  HTML files contains variable words that PowerSeek uses for pointers  where it needs to place data. You can basically open the HTML files  with your favorite web editor or with what ever you prefer and edit  away. </p>
      <p> Templates can  be edited by copying and pasting the HTML code directly into your web  editor when editing templates from the Template Manager. Once you have  changed the template contents, you may copy and paste it back into the  edit box and save it.</p>
      <p>You may also open the template  files directly with your web editor to edit them. The templates are  stored inside your &lsquo;data&rsquo; directory. You can get the file names from  the &lsquo;Template Manager&rsquo; inside the Control Panel &ndash; Click on each  template name to get the file name of the template you would like to  edit.</p>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>

];

}



sub how_to_edit
{

print qq[
<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD"
style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>How 
    to Edit Templates:</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext">PowerSeek uses no HTML code of it's 
    own. It obtains all the HTML code it uses from ordinary HTML files. It then uses these 
    ordinary HTML files to 'skin' all displays that end users see. This functionality gives 
    you the ability to customize the look and feel exactly like you would like it to look like 
    and makes all displays 100% customizable.<ul>
      <li>Copy and paste the HTML code of this template into your web editor to edit it. When 
        finished, copy and paste the HTML code back.<br>
        &nbsp; </li>
      <li>You may also manually open this Template (It's a normal HTML file) with your favorite 
        HTML editor and edit it. The file is located here:<br>
        <strong>$data_dir/$t.html</strong></li>
    </ul>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
];

}




sub global_vars
{

print qq[
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">    
<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD"
style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>Global
    Variables:</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext">The following global variables are
    available to all templates except link style templates: </td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext"><blockquote>
      <p><strong>!build_url! </strong><br>
      This is always replaced by the URL path to the 'html' directory, or the directory where
      all generated HTML files are stored. <br>
      <br>
      <strong>!!tseeksearch!! </strong><br>
      This is always replaced by the URL path to the search CGI scripts. The search CGI scripts
      are the scripts that searches through your Directory when a visitor invokes a search. <br>
      <br>
      <strong>!!add_url_link!! </strong><br>
      This is always replaced by a URL path to the 'Add URL' form or the cgi script that
      displays the 'Add URL' form. <br>
      <br>
      <strong>!!add_premium_url_link!! </strong><br>
      This is always replaced by a URL path to the 'Premium Link Add URL' form or the cgi script
      that displays the 'Premium Link Add URL' form. <br>
      <br>
      <strong>!!whatsnew!! </strong><br>
      This is always replaced by a URL path to the page that indicates the latest link additions
      to your directory. <br>
      <br>
      <strong>!!tophits!! </strong><br>
      This is always replaced by a URL path to the page that indicates most popular links inside
      your directory. <br>
      <br>
      <strong>!!modify_link_url!! </strong><br>
      This is always replaced by a URL path to the modify CGI script that enable users to modify
      their links. </p>
      <p><strong>!!register!! </strong><br>
      This is replaced by a link to the registration form that visitors complete to register an
      account. Note that you have to use the user registration system. </p>
      <p><strong>!!rgs_loginl!! </strong><br>
      This is replaced by a link to the login page where visitors log into their accounts. (To
      add links or view/modify them) </p>
      <p><strong>!!favorites_link!! </strong><br>
      This is replaced by a link to the 'Favorites' page where a vistor can view links he/she
      flagged as his/her favorite links.</p>
    </blockquote>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>
];

}





sub var_explain
{

$t = $q->param('t');

if ($q->param('body') eq "true")
	{
		print qq[
		<html>
		<head>
		<title>PowerSeek</title>
		<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
		</head>
		<body>
		];
	}


($description, $vars_available) = &get_tmpl_details($t);

print qq[

<table width="100%" border="0" cellpadding="6" cellspacing="1" bordercolor="#DDDDDD"
style="border: 1px solid rgb(225,225,225)">
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext" background="$web_url/bar6.gif"><strong>Explanation
    of Variables Used Inside This Template:</strong></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext">The words below are variables used
    in this template. Most of these variables will have to be present in this template for it
    to work correctly. These variable words are replaced with data.</td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#FFFFFF" class="normaltext"><blockquote>
      <p>$vars_available</p>
    </blockquote>
    </td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>

];


if ($q->param('body') eq "true")
	{
		print qq[</body></html>];
	}

}













sub get_tmpl_details 
{

my ($the_tmpl) = @_;

if ($the_tmpl eq "defdir")
{

$dir_details_r = "This template is used when displaying link listings in directories/categories.";

$vars_available_r = "

<p><strong>%%custom_pagetitle%%<br>
</strong>This variable word will be replaced by a custom title for the category. This
title can be specified/added when adding or editing any category from the 
Directory Manager. If no title has been defined for a category then you can
configure what will be displayed by clicking the 'Settings Tab' >> Global Engne 
</p>

<p><strong>%%pagetitle%%<br>
</strong>This variable word will be replaced by the location of the current category.
It can also be used anywhere in the template to indicate the current directory.</p>
<p><b>%%pagedescription%%</b><br>
This description is obtained from the meta description supplied when the category 
was added.
<br>
<p><strong>&lt;!-- Hide %%metadescription%% // End Hide --&gt;<br>
</strong>This will be replaced by a meta tag (description) for search engines. <em>(Place
this variable somewhere between the HEAD tags of the page.)</em></p>
<p><strong>&lt;!-- Hide %%metakeywords%% // End Hide --&gt;<br>
</strong>This will be replaced by a meta tag (keywords) for search engines. <em>(Place
this variable somewhere between the HEAD tags of the page.)</em></p>

<p><strong>!!add_url_link!!<br>
</strong>The link to the add url script/page will be replaced by this variable.</p>

<p><strong>!!add_premium_url_link!!<br>
</strong>The link to the premium add url script/page will be replaced by this variable.</p>
<p><strong>%%location%%<br>
</strong>The current location in the category/directory will be replaced by this variable.</p>
<p><strong>%%subdirectories%%<br>
</strong>The subdirectories of the current category/directory will be replaced by this
variable.</p>
<p><strong>%%searchresults%%<br>
</strong>The search results (link listings) will be replaced by this variable.</p>
<p><strong>%%prevnext%%<br>
</strong>If there is multiple pages of link listings the previous and next links will be
replaced by this variable.</p>
<p><strong>%%pages%%<br>
</strong>The number of pages, (if any) of link listings for the current directory.
Replaced by links to the pages.</p>

<p><strong>%%current_cat%%<br>
</strong>The current category.</p>

<p><strong>!!page_nr!!<br>
</strong>Indicates the number of the current page being viewed.</p>

<p><strong>!!from_results!! to !!to_results!!<br>
</strong>To create text that reads for example: Displaying 10 to 20 links.</p>


<p><strong>%%lnknr%%<br>
</strong>Replaced by the number of links in the current category.</p>
<p><strong>%%pgs%%<br>
</strong>Replaced by the number of pages (containing links) of the current category.</p>
<p><strong>!!tseeksearch!!<br>
</strong>This is the location of the search script which is to be used in a form for a
search box.</p>
<p><strong>%%related%%<br>
</strong>Replaced by links to related categories of the current category.</p>

<b>%%updated%%</b><br>
Replaced by the date on which pages was generated/built. Do not use this variable if 
you are running a dynamic directory because it will display the current date when
end users browse your directory.<br>

<p><strong>%%bannerslotX%%<br>
</strong>This is to be used for banners in conjunction with the banner manager. <strong>X
can be 1, 2, 3, 4, or 5. </strong>You may define up to 5 banner slots in this template or
custom template. See the online documentation for full instructions.</p>



<p><strong>!!rss!!</strong><br>
This variable is replaced by an RSS graphic to indicate an RSS feed. When the graphic is clicked an RSS feed will be displayed for the
specific category. Note that the RSS configuration can be changed in the Control Panel >> Settings >> RSS Feed Configuration
</p>


";


}
elsif (($the_tmpl eq "tmplsearch") or ($the_tmpl eq "tmplsearch_prem"))
{
$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
	if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}

if ($the_tmpl eq "tmplsearch")
	{
$dir_details_r = "This template reflects the HTML code used when displaying link listings in
directories/categories. This template is used in combination with the main category/directory template.";
	}
	else
	{
$dir_details_r = "This template reflects the HTML code used when displaying premium link listings in
directories/categories. This template is used in combination with the main category/directory template. If this
template is left blank, then the premium links will inherit the style of 'tmplsearch.html' (Default directory links style)";
	}

if ($q->param('includes') == 1)
	{
$cat_det = "<strong>!!category!!</strong><br>
Replaced by the category of the link.<br>
<br>";	
	}





$vars_available_r = "<strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br>
<br>
<strong>!!title_without_link!!</strong><br>
Replaced by the title of the link but it is not hyperlinked.<br><br>
<strong>!!nr!!</strong><br>
Replaced by the number of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the url of the link.<br>
<br>
<strong>!!domain!!</strong><br>
Replaced by the domain name of the link.<br>
<br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>$cat_det
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br><strong>!!rate_link_url!!</strong><br>
Replaced by the URL to the page where it can be rated.<br>
<br>
<strong>!!rating_image!!</strong><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!rno!!<br>
</strong>Replaced by the number of comments/reviews for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the 'URL to the comment/review script' where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site, so that visitors can rate his link.<br>
<br>
<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>


<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>


<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>

<b>!!new!!</b><br>
Replaced by a 'New' graphic if the link is considered as being new. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>
<b>!!pop!!</b><br>
Replaced by a 'Pop' (Popular) graphic if the link is considered as being popular. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br><br>
<b>!!more_info_url!!</b><br>
This will be replaced by the link/URL to a page that contains more information about the link. 
If this variable is present in this template, an extra page will be generated with more
information about the link. You can, for example, have extra fields/keys which display the extra
information if end users click on the 'More Info' link. To customize the extra link information
template, edit the 'Link Info' template.
<br><br>
<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><BR>

<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR>


}
elsif ($the_tmpl eq "subdirs")
{

$dir_details_r = "This template is used to display directories/categories. This template is used in combination with the main category/directory template."; 

$vars_available_r = "<strong>
<p>%%subdirs1%%<br>
</strong>The subdirectories of the current category are replaced by this variable.</p>
<p><strong>%%subdirs2%%<br>
</strong>The subdirectories of the current category are replaced by this variable.<strong></p>
<p>%%subdirs3%%<br>
</strong>The subdirectories of the current category are replaced by this variable.<strong></p>

<p>If you only use the <strong>%%subdirs1%%</strong> variable in this template, you will
only have one row of directories or categories displayed. If you use <strong>%%subdirs1%%</strong>
and <strong>%%subdirs2%%</strong> you will have two rows of directories/categories
displayed. You may have up to 3 rows of directories and categories displayed.</p>
";

}
elsif ($the_tmpl eq "directories1")
{

$dir_details_r = "This template is used to display directories/categories. This template is used in combination with the main category/directory template.";

$vars_available_r = "<b>%%substyle%%<br></b>
This variable is replaced by the link to the subdirectory/category. You can
assign font HTML tags to it, or make it bigger or smaller.<br><br>

<b>%%sub_description%%<br></b>
This variable is replaced by the description of the subcategory. 
The description is derived from the meta description.
The meta description can be added by editing the category name from the control panel. The option of adding a description is also
available when adding a category.<br><br>

<b>!!new!!</b><br>
This variable is replaced by a new graphic if new links was recently added to a category. You can set options for this in the<br>
<b>PowerSeek Control Panel >> Settings >> Global Engine Settings</b><br>

Look for the settings section that reads: 'New & Popular Indication Settings'
";


}
elsif ($the_tmpl eq "related1")
{

$dir_details_r = "This template is used to display related directories/categories to the existing directory/category. This template is used in combination with the main category/directory template.";

$vars_available_r = "<strong>%%related_categories%%<br></strong>
This variable is replaced by the list of related directories/categories in the main directory/category template.";
	
}
elsif ($the_tmpl eq "related2")
{

$dir_details_r = "This template is used to display related directories/categories to the existing directory/category. This template is used in combination with the main category/directory template.";

$vars_available_r = "<strong>%%related_categories%%<br></strong>
This variable defines the style (font/size, etc..) of related directories/categories in the first related category/directory template.";
	
}
elsif ($the_tmpl eq "linkinfo")
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";

	if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}


$dir_details_r = "This template is used to display a page for each link (optional). You can, for example, have an extra
page with extra field/key information for each link. You link to this extra page from the
Link Style Template (tmplsearch.html) by using the variable !!more_info_url!! from it. 
If you don't link from the 'Link Style Template' with the !!more_info_url!!, then the extra pages are not generated/available.
This is also valid for custom templates.
";

$vars_available_r = "<strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br>
<br>
<strong>!!title_without_link!!</strong><br>
Replaced by the title of the link, but it is not hyperlinked.<br>
<br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!domain!!</strong><br>
Replaced by the domain name of the link.<br>
<br>

<b>&lt;!-- Hide !!metadescription!! // End Hide --&gt;</b><BR>
This will be replaced by a meta tag (description) for search engines. (Place this variable somewhere between the HEAD tags of the page.)
<BR><BR>

<b>&lt;!-- Hide !!metakeywords!! // End Hide --&gt;</b><BR>
This will be replaced by a meta tag (keywords) for search engines. (Place this variable somewhere between the HEAD tags of the page.)
<br><br>

<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br>
<strong>!!rno!!<br>
</strong>Replaced by the number of reviews/comments for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the URL to the comment/review script where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site so that visitors can rate his link.<br>
<br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>


<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>
<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>
<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br>
<br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br>
<br>
<strong>!!category_link!!</strong><br>
Replaced by the URL to the category of the link.<br>
<br>
<b>!!new!!</b><br>
Replaced by a 'New' graphic if the link is considered to be new. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<b>!!pop!!</b><br>
Replaced by a 'Pop' (Popular) graphic if the link is considered as being popular. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><br>

<strong>%%reviews%%</strong><br>
If you would addisionally like to list reviews/comments in the 'Link Info' pages, you may use this variable
to list the comments. The comments style is taken from the <b>reviewlinks.html</b> template.<BR><BR>

<strong>%%bannerslotX%%<br>
</strong>This is to be used for banners in conjunction with the banner manager. X can be
1, 2, 3, 4, or 5. You may define up to 5 banner slots in this template or a custom template.
See the online documentation for full instructions.<br>

<BR><strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR><BR>


}
elsif ($the_tmpl eq "linkinfop")
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";

if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}	
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}


$dir_details_r = "This template is used to display an individual page for premium links. You can, for example, have an extra
page with extra field/key information for each premium link that will look different than the normal link 
info pages. You link to this extra page from the Link Style Template (tmplsearch.html) by using the variable 
!!more_info_url!! from it. If you don't link from the 'Link Style Template' with the !!more_info_url!!, 
then the extra pages are not generated/available for links that contain extra link or premium link information 
pages. This is also valid for custom templates.
";

$vars_available_r = "<strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br>
<br>
<strong>!!title_without_link!!</strong><br>
Replaced by the title of the link, but it is not hyperlinked.<br>
<br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!domain!!</strong><br>
Replaced by the domain name of the link.<br>
<br>


<b>&lt;!-- Hide !!metadescription!! // End Hide --&gt;</b><BR>
This will be replaced by a meta tag (description) for search engines. (Place this variable somewhere between the HEAD tags of the page.)
<BR><BR>

<b>&lt;!-- Hide !!metakeywords!! // End Hide --&gt;</b><BR>
This will be replaced by a meta tag (keywords) for search engines. (Place this variable somewhere between the HEAD tags of the page.)
<br><br>

<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br>
<strong>!!rno!!<br>
</strong>Replaced by the number of reviews/comments for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the URL to the review script where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site so that visitors can rate his link.<br>
<br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>

<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>
<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>
<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br>
<br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br>
<br>
<strong>!!category_link!!</strong><br>
Replaced by the URL to the category of the link.<br>
<br>
<b>!!new!!</b><br>
Replaced by a 'New' graphic if the link is considered to be new. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<b>!!pop!!</b><br>
Replaced by a 'Pop' (Popular) graphic if the link is considered as being popular. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><br>

<strong>%%reviews%%</strong><br>
If you would addisionally like to list reviews/comments in the 'Link Info' pages, you may use this variable
to list the comments. The comments style is taken from the <b>reviewlinks.html</b> template.<BR><BR>

<strong>%%bannerslotX%%<br>
</strong>This is to be used for banners in conjunction with the banner manager. X can be
1, 2, 3, 4, or 5. You may define up to 5 banner slots in this template or a custom template.
See the online documentation for full instructions.<br>

<BR><strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR><BR>


}
elsif ($the_tmpl eq "searchres")
{

$dir_details_r =  "This template is used to display search results.";

$vars_available_r = "<strong>
<p>%%searchresults%%<br>
</strong>The item search results template html are replaced with this variable.<strong></p>
<p>%%prevnext%%<br>
</strong>If there is multiple pages of listings the previous and next links will be
replaced by this variable.</p>
<strong>
<p>%%pages%%<br>
</strong>The number of pages, if any, of listings for the current directory.</p>
<strong>
<p>%%link_matches%%<br>
</strong>Number of links matched.</p>
<strong>
<p>%%keywords%%<br>
</strong>Keywords that has been used to search with.</p>
";

#$rval = <<END_OF_SR;
#END_OF_SR

}
elsif ($the_tmpl eq "searchadv")
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
	if ($searched eq "Yes")
		{
		#$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		$sql_extra_keys = $sql_extra_keys . qq[&lt;input type=&quot;checkbox&quot; name=&quot;$keyname&quot; value=&quot;$keyname&quot;checked&gt;$description&lt;/font&gt;<BR><BR>];
		}
	}

$dir_details_r =  qq[This template is used to display an advanced search form where there are search options available to refine searches. 
You can link to this page from any PowerSeek template or web page by using the following link:<BR>
<a href="$script_url/searchadv.cgi" target="_blank"><b>$script_url/searchadv.cgi</b></a>];

$vars_available_r = qq[<p><strong>!!advanced_search!!<br>
</strong>Replaced by the path to the script that takes care of advanced searching. Used in-conjunction with the search form.<br><br>

<b>Extra Fields/Keys</b><BR>
You have extra fields/keys available in the database that can be searched. You can let visitors search through these fields by adding the following
inside the Search Form of this template if you would like these extra fields/keys to be searched. (Place the HTML code below inside this template bewteen the &lt;FORM&gt; tags)

<blockquote>
$sql_extra_keys
</blockquote>

];


}
elsif (($the_tmpl eq "lsearchres_loc") or ($the_tmpl eq "lsearchres_loc_prem"))
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";

	
	if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}	
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to become available.<br>"
		}
	}

if ($q->param('fct') ne "tinfo")
{

if ($the_tmpl eq "lsearchres_loc")
	{
	$dir_details_r = "This template is used when displaying matched links after a search.";
	}
	else
	{
	$dir_details_r = "This template is used when displaying premium link listings in search results.";
	}
}
else
{
$dir_details_r = "";
}

$vars_available_r = "<p><strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br><br>
<strong>!!title_without_link!!</strong><br>
 Replaced by the title of the link, but it is not hyperlinked.<br><br>
<strong>!!nr!!</strong><br>
Replaced by the number of the link.<br>
<br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!domain!!</strong><br>
Replaced by the domain name of the link.<br>
<br>
<strong>!!relevance!!</strong><br>
Replaced by the matched relevance of the link (according to the search terms provided)<br><br>
<strong>!!rgraphic!!<br>
</strong>Replaced by a graphic representing the matched relevance of the link.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br>
<strong>!!rate_link_url!!</strong><br>
Replaced by the URL to the page where it can be rated.<br><br>
<strong>!!rating_image!!</strong><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!rno!!<br>
</strong>Replaced by the number of reviews/comments for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the URL to the review script where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site so that visitors can rate his link.<br>
<br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>


<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>
<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>
<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br>
<br>
<b>!!new!!</b><br>
Replaced by a 'New' graphic if the link is considered as being new. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>

<b>!!pop!!</b><br>
Replaced by a 'Pop' (Popular) graphic if the link is considered as being popular. Settings regarding this is available
in Settings (button) >> Global Settings in the control panel.<br><br>
<b>!!more_info_url!!</b><br>
This will be replaced by a link/URL to a page that contains more information about the
link. If this variable is present in this template, an extra page will be generated
with more information about the link. You can for example have extra fields/keys which
displays the extra information if end users click on the 'More Info' link. To customize
the extra link information template, edit the 'Link Info' template.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the matched link.<br><br>

<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><br>

<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR><BR>


}
elsif ($the_tmpl eq "nomatch")
{

$dir_details_r = "This template is used when a search revealed no matches. In order to use this
template, you have to enable the use of it. To enable the use of this template, click the
'Settings' button above. Then click on 'Global Settings'. Look for a setting that reads
'What to use when a search revealed no matches:' - Set it to 'Use and display the template
called 'nomatch.html'";

$vars_available_r = "<strong>%%keywords%%<br>
</strong>Replaced by the keywords that has been searched for.";
}
elsif ($the_tmpl eq "flood")
{

$dir_details_r = "The Flood control settings can be found inside the Control Panel >> Settings Tab >> Global Engine Settings >> Search Settings<BR><BR>

The HTML code listed here will be displayed to a visitor pressing the search button more than once in a 1 second interval. When the
HTML code of this template is displayed it will wait for 2 seconds before attempting the search the visitor is trying to do. 
Flood control is used so that visitors cannot flood the search script by continuously pressing the search button to bog down the
server.
";

$vars_available_r = "<strong>!!web_url!!<br>
</strong>Replaced by the URL path to the 'html' directory.";

}
elsif ($the_tmpl eq "add_url_med")
{

$extra_field_text = &get_extra_key_details("ADDURL");

	
$dir_details_r = "This template (when displayed to end users) comes with a drop down menu containing all the categories/directories 
where end users can select where they would like to submit their URL. This template is intended for medium-sized
search engines with less than 5000 categories/directories. 
You can choose what 'add url' forms to use (medium or large-sized engines), in Settings >> Global Engine Settings";

$vars_available_r = "<b>%%category_dropdown%%</b><br>
This is replaced by a category drop down box where end users can select the category wherein they would like to make a new submission.<br><br>
<b>%%submissionbox%%</b><br>
This is replaced by a description fill-in-box where end users supply descriptions for their new submission.<br><br>
<b>!!addurlcgi!!</b><br>
Replaced by the path to the 'Add URL' script which handles the new submission.
$extra_field_text";
}
elsif ($the_tmpl eq "add_url")
{

$extra_field_text = &get_extra_key_details("ADDURL");

$dir_details_r = "This template (when displayed to end users) is intended to be used when you have more than 5000 categories/directories.
It doesn't come with a category dropdown menu where categories can be choosed when doing a new submission. The reason
for this is because having 10 000 categories in the drop down menu would make the add url form load very slowly.
You can choose what add url forms to use (medium or large-sized engines), in Settings >> Global Engine Settings";

$vars_available_r = "<b>%%submissionbox%%</b><br>
This is replaced by a description fill-in-box where end users supply descriptions for their new submission.<br><br>
<b>!!addurlcgi!!</b><br>
Replaced by the path to the 'Add URL' script which handles the new submission.<br><Br>
<b>!!catid!!</b><br>
This is a hidden form variable that is replaced by a category ID so that the add url script which handles the submission
knows to what category the script needs to submit the new submission.
$extra_field_text
";
}
elsif ($the_tmpl eq "add_url_medp")
{

$extra_field_text = &get_extra_key_details("ADDURL");
	
$dir_details_r = "This template (when displayed to end users) is intended to be used when you have less than 5000 categories/directories.
It is also intended to be a premium add url form where users submit premium URLs.
";

$vars_available_r = "
<b>%%category_dropdown%%</b><br>
This is replaced by a category drop down box where end users can select the category where they would like to make a new submission.<br><br>
<b>%%submissionbox%%</b><br>
This is replaced by a description fill-in-box where end users supply descriptions for their new submission.<br><br>
<b>!!addurlcgi!!</b><br>
Replaced by the path to the 'Add URL' script which handles the new submission.<br><Br>
<b>!!p!!</b><br>
Replaced by a value of 1 to indicate to the 'ADD URL' script that a premium 'new submission' is about to take place.
$extra_field_text
";
}
elsif ($the_tmpl eq "add_urlp")
{

$extra_field_text = &get_extra_key_details("ADDURL");
	
$dir_details_r = "This template (when displayed to end users) is intended to be used when you have more than 5000 categories/directories.
It is also intended to be a premium add url form where users submit premium URLs.
";

$vars_available_r = "<b>%%submissionbox%%</b><br>
This is replaced by a description fill-in-box where end users supply descriptions for their new submission.<br><br>
<b>!!addurlcgi!!</b><br>
Replaced by the path to the 'Add URL' script which handles the new submission.<br><Br>
<b>!!p!!</b><br>
Replaced by a value of 1 to indicate to the 'ADD URL' script that a premium 'new submission' is about to take place.<br><Br>
<b>!!catid!!</b><br>
This is a hidden form variable that is replaced by a category ID so that the add url script which handles the submission
knows to what category the script needs to submit the new submission.
$extra_field_text
";
}
elsif ($the_tmpl eq "add_url_instructions")
{
	
$dir_details_r = "This will only be used when you are making use of the large-sized search engine 'add url' templates. 
When using the large-sized search engine add url templates, end users need to click the 'add url' link
in a specific category/directory to add their URL/link. When they are not in a category and click the
'add url' link, then this template will be displayed - giving them instructions on how to add their
URL.
";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "add_url_problem")
{
$dir_details_r = "This template is displayed to end users when they do a new submission but there was a problem. A problem
will usually occur when a user left out to include his/her email address, etc...";

$vars_available_r = "<b>%%problem%%</b><br>
This is replaced by text, explaining why a new submission could not be made.";
}
elsif ($the_tmpl eq "add_url_success")
{
$dir_details_r = "This template is displayed to end users when a new submission has been successful.";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "modify_link")
{
$dir_details_r = "This template is displayed to end users when they click the 'Modify Link' available with
each link listing. This template prompts them for the password to modify their link.";

$vars_available_r = "<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL to be modified.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>
<b>!!cid!!</b><br>
This is part of a hidden form variable, replaced by a category ID for use by the modify script.<br><br>
<b>!!id!!</b><br>
This is part of a hidden form variable, replaced by a link ID for use by the modify script.<br><br>
<b>!!modify_cgi!!</b><br>
Replaced by the path to the modify script.<br><br>
";
}
elsif ($the_tmpl eq "modify_link_problem")
{
$dir_details_r = "This template is displayed when there was a problem modifying a link.
";
$vars_available_r = "<b>%%problem%%</b><br>
This is replaced by text, explaining why a link could not be modified.";
}
elsif ($the_tmpl eq "modify_link_success")
{
$dir_details_r = "This template is displayed when a link was successfully modified.
";
$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "modify_link_edit")
{

$extra_field_text = &get_extra_key_details("MODIFY");

$dir_details_r = "This is where users submit changes to standard links.
";
$vars_available_r = "<b>%%title%%</b><br>
Replaced by the title of the link.<br><br>
<b>%%keywords%%</b><br>
Replaced by the keywords of the link.<br><br>
<b>%%url%%</b><br>
Replaced by the URL of the link.<br><br>
<b>%%name%%</b><br>
Replaced by the name of the link owner.<br><br>
<b>%%email%%</b><br>
Replaced by the email address of the link owner.<br><br>
<b>%%password%%</b><br>
Replaced by the modify password of the link.<br><br>
<b>%%notesbox%%</b><br>
Replaced by a fill-in-box where link owners can write notes about the changes to the link.<br><br>
<b>!!cid!!</b><br>
This is part of a hidden form variable, replaced by a category ID for use by the modify script.<br><br>
<b>!!id!!</b><br>
This is part of a hidden form variable, replaced by a link ID for use by the modify script.<br><br>
<b>!!modify_cgi!!</b><br>
Replaced by the path to the modify script.<br><br>
<b>!!password!!</b><br>
This is a hidden form variable used by the modify script.
$extra_field_text
";
}
elsif ($the_tmpl eq "modify_link_editp")
{


$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
	if ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<font color=\"#FF8000\"><b>$keyname</b></font><br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<font color=\"#8080C0\"><b>$keyname</b></font><br>"
		}
	}

if ($sql_extra_keys ne "")
{
$extra_field_text = <<END_OF_ETEXT;
<br><br>
<hr size="1" color="#E4E4E4">
<Br><b>You have defined extra/fields keys. Please read below:</b><br>
In order to enable users to modify data in these extra fields/keys, you have to provide a field box with the name of your field/key and a value inside it. <br><br>
<b>For example:</b>
Let's say you created a key/field called 'price' - In order for users to modify the price value of their link, they will need a field box where they can modify the price. The name of this field box needs to be the name of the field/key you defined/created. For example you will have to add something like the following HTML code to your modify form: (The text in orange is HTML code)
Price: <font color="#FF8000"> &lt;input type=&quot;text&quot; name=&quot;price&quot;
size=&quot;20&quot; value=&quot;%%price%%&quot;&gt; </font>

<br><Br><b>The following fields/keys have been found to be present in your directory/search engine:</b><br>
$sql_extra_keys

END_OF_ETEXT
}


$dir_details_r = "This is where users submit changes to premium links.
";
$vars_available_r = "<b>%%title%%</b><br>
Replaced by the title of the link.<br><br>
<b>%%keywords%%</b><br>
Replaced by the keywords of the link.<br><br>
<b>%%url%%</b><br>
Replaced by the URL of the link.<br><br>
<b>%%name%%</b><br>
Replaced by the name of the link owner.<br><br>
<b>%%email%%</b><br>
Replaced by the email address of the link owner.<br><br>
<b>%%password%%</b><br>
Replaced by the modify password of the link.<br><br>
<b>%%notesbox%%</b><br>
Replaced by a fill-in-box where link owners can write notes about the changes to the link.<br><br>
<b>!!cid!!</b><br>
This is part of a hidden form variable, replaced by a category ID for use by the modify script.<br><br>
<b>!!id!!</b><br>
This is part of a hidden form variable, replaced by a link ID for use by the modify script.<br><br>
<b>!!modify_cgi!!</b><br>
Replaced by the path to the modify script.<br><br>
<b>!!password!!</b><br>
This is a hidden form variable used by the modify script.
$extra_field_text
";
}



elsif ($the_tmpl eq "modify_instructions")
{
$dir_details_r = "This template will be displayed to users when the modify link is clicked but is not linked to a link listing.";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "retrievepass")
{
$dir_details_r = "This template is used to enable end users to retrieve modification passwords for links.";

$vars_available_r = "<b>!!email_script!!</b><br>
This is replaced by the path to the email script that emails modification passwords to end users.
";
}
elsif ($the_tmpl eq "retrievepass_ok")
{
$dir_details_r = "Displayed to end users when a modification password was successfully sent.";
$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "retrievepass_prb")
{
$dir_details_r = "Displayed to end users when a modification password could not be sent.";
$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "rate_it")
{
$dir_details_r = "Used to enable end users to rate links.";


$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}	
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}


$vars_available_r = "
<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL to be modified.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the URL of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>
<b>!!ct!!</b><br>
This is part of a hidden form variable, used by the rating script.<br><br>
<b>!!id!!</b><br>
This is part of a hidden form variable, used by the rating script.<br><br>
<b>!!rate_it!!</b><br>
Replaced by the path to the rating script.<br><br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>

<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
<BR><BR>
<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings.


<BR>
$sql_extra_keys

";
}
elsif ($the_tmpl eq "rate_it_success")
{
$dir_details_r = "Displayed when an end user successfully rated a link.";

$vars_available_r = "
<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL to be modified.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the URL of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>

<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.

";
}
elsif ($the_tmpl eq "rate_it_fail")
{
$dir_details_r = "Displayed when a rating for a link could not be recorded.";

$vars_available_r = "
<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!url!!</b><br>
Replaced by the URL of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
";


}
elsif ($the_tmpl eq "gethtml")
{
$dir_details_r = "This template is used to enable link owners to retrieve HTML code which they can place
inside their web pages so that their visitors can rate their link on your 
search engine.";

$vars_available_r = "
<b>%%textlink%%</b><br>
Replaced by a link to the rating page of the link (where users can rate this link).<br><br>
<b>%%textlink_code%%</b><br>
Replaced by a box containg HTML code that the link owner can place on his web site.<br><br>
<b>%%remoteform_code%%</b><br>
Replaced by a box containg HTML code that the link owner can place on his web site.<br><br>
<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL to be modified.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the URL of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>


<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.

";
}
elsif ($the_tmpl eq "review_it")
{


$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
	if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}



$dir_details_r = "This template is used to enable end users to view and post reviews/comments about links.";

$vars_available_r = "<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the URL of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>
<b>%%review_listings%%</b><br>
This is replaced by the reviews/comments for links.<br><br>
<b>%%description_box%%</b><br>
Replaced by a fill-in-box where end users enter reviews/comments.<br><br>
<b>!!review_it!!</b><br>
Replaced by the path to the review script that handles the posting of reviews/comments.<br><br>
<b>!!ct!!</b><br>
This is part of a hidden form variable, used by the review/comment script.<br><br>
<b>!!id!!</b><br>
This is part of a hidden form variable, used by the review/comment script.<br><br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>


<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
<BR><BR>

<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

}
elsif ($the_tmpl eq "reviewlinks")
{

$ldata = &get_file_contents("$data_dir/keyscom.dat"); 
@allditems = split (/\n/, $ldata);

$extcnt = 1;
foreach $item (@allditems)
	{
	($ename, $echar, $ereq) = split (/\t/, $item);
		if ($ename ne "")
			{
			$extra_field_data = $extra_field_data . qq[<BR><b><font color="#8080C0">!!extra$extcnt!!</font></b> ($ename)<BR>This is an extra review/comment field that can be used. Place it inside the template to display the value of the extra field.<BR>];
			}
		
	$extcnt++;
	}


$dir_details_r = "This template is used to display comments/reviews.";

$vars_available_r = "
<b>%%reviewer%%</b><br>
Replaced by the name of the end user who posted the review/comment.<br><br>
<b>%%review%%</b><br>
Replaced by the review/comment for a link.<br><br>
<b>%%reviewer_email%%</b><br>
Replaced by the email address of the end user's review/comment.<br><br>
<b>%%date%%</b><br>
The date when the review was added.<BR>
$extra_field_data
";
}
elsif ($the_tmpl eq "reviewadded")
{

$dir_details_r = "This template displayed when an end user successfully added a review/comment.";

$vars_available_r = "<b>!!title_with_link!!</b><br>
Replaced by the hyperlinked title of the link/URL.<Br><br>
<b>!!rating_image!!</b><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br><br>
<strong>!!url!!</strong><br>
Replaced by the URL of the link.<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br><br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br><br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br><br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br><br>

<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.

";
}
elsif ($the_tmpl eq "reviewproblem")
{

$dir_details_r = "This template displayed if there was a problem when trying to add a review/comment.";

$vars_available_r = "
<b>%%problem%%</b><br>
Replaced by text describing the problem on why the review/comment could not be added.
<BR><BR>
<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
<BR><BR>
<b>!!url!!</b><br>
Replaced by the URL of the link.

";

}
elsif ($the_tmpl eq "whatsnew_main")
{
$dir_details_r = "This template is used when displaying the latest additions to the directory.";

$vars_available_r = "<b>%%whats_new_listings%%</b><br>
Replaced by the latest link additions to the directory.<br><br>
<b>%%prevnext%%</b><br>
If there is multiple pages of link listings, the previous and next links will be replaced by this variable.<br><br>
<b>%%pages%%</b><br>
The number of pages, (if any) of link listings for the current directory. Replaced by links to the pages.<br><br>
<b>%%lnknr%%</b><br>
Replaced by the number of links in the current category.<br><br>
<b>%%pgs%%</b><br>
Replaced by the number of pages (containing links) of the current category.

<p><strong>!!rss!!</strong><br>
This variable is replaced by an RSS graphic to indicate an RSS feed. When the graphic is clicked an RSS feed will be displayed 
indicating the latest links in the Directory. Note that the RSS configuration can be changed in the Control Panel >> Settings >> RSS Feed Configuration
</p>


";
}
elsif (($the_tmpl eq "whatsnew_lists") or ($the_tmpl eq "whatsnew_lists_prem"))
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";

	if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}	
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}

if ($the_tmpl eq "whatsnew_lists")
{
$dir_details_r = "This template reflects the HTML code used when displaying new link listings.";
}
else
{
$dir_details_r = "This template reflects the HTML code used when displaying new premium link listings.";
}

$vars_available_r = "<strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br>
<br>
<strong>!!title_without_link!!</strong><br>
Replaced by the title of the link, but it is not hyperlinked.<br><br>
<strong>!!nr!!</strong><br>
Replaced by the number of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br><strong>!!rate_link_url!!</strong><br>
Replaced by the URL to the page where it can be rated.<br>
<br>
<strong>!!rating_image!!</strong><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!rno!!<br>
</strong>Replaced by the number of reviews/comments for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the URL to the review script where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site so that visitors can rate his link.<br>
<br>
<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>

<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>

<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>
<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br><br>
<b>!!more_info_url!!</b><br>
This will be replaced by a link/URL to a page that contains more information about the link. 
If this variable is present in this template, an extra page will be generated with more
information about the link. You can, for example, have extra fields/keys which displays the extra
information if end users click on the 'More Info' link. To customize the extra link information
template, edit the 'Link Info' template.
<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><br>

<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR>



}
elsif ($the_tmpl eq "tophits_main")
{

$dir_details_r = "This template is used when displaying the most clicked links in the directory.";

$vars_available_r = "<b>%%tophits_listings%%</b><br>
Replaced by 'most clicked' links in the directory.<br><br>
<b>%%prevnext%%</b><br>
If there is multiple pages of link listings, the previous and next links will be replaced by this variable.<br><br>
<b>%%pages%%</b><br>
The number of pages, (if any) of link listings for the current directory. Replaced by links to the pages.<br><br>
<b>%%lnknr%%</b><br>
Replaced by the number of links in the current category.<br><br>
<b>%%pgs%%</b><br>
Replaced by the number of pages (containing links) of the current category.

<p><strong>!!rss!!</strong><br>
This variable is replaced by an RSS graphic to indicate an RSS feed. When the graphic is clicked an RSS feed will be displayed for the
most popular links inside the Directory. Note that the RSS configuration can be changed in the Control Panel >> Settings >> RSS Feed Configuration
</p>


";

}
elsif (($the_tmpl eq "tophits_listings") or ($the_tmpl eq "tophits_listings_prem"))
{

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}

if ($the_tmpl eq "tophits_listings")
{
$dir_details_r = "This template reflects the HTML code used when displaying the links that was most clicked.";
}
else
{
$dir_details_r = "This template reflects the HTML code used when displaying premium links that was most clicked.";
}

$vars_available_r = "<strong>!!title_with_link!!<br>
</strong>Replaced by the title of the link and the title is hyperlinked.<br>
<br>
<strong>!!title_without_link!!</strong><br>
Replaced by the title of the link, but it is not hyperlinked.<br><br>
<strong>!!nr!!</strong><br>
Replaced by the number of the link.<br><br>
<strong>!!description!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!url!!</strong><br>
Replaced by the description of the link.<br>
<br>
<strong>!!date!!<br>
</strong>Replaced by the date of when the link was added.<br>
<br>
<strong>!!votes!!</strong><br>
Replaced by the number of votes received for this link.<br>
<br>
<strong>!!rating!!<br>
</strong>Replaced by the rating of the link.<br>
<br><strong>!!rate_link_url!!</strong><br>
Replaced by the URL to the page where it can be rated.<br>
<br>
<strong>!!rating_image!!</strong><br>
Replaced by an image representing the rating of the link.<br><br>
<strong>!!rno!!<br>
</strong>Replaced by the number of reviews/comments for this link.<br>
<br>
<strong>!!review_link_url!!</strong><br>
Replaced by the URL to the review script where users can add a review/comment for this
link.<br>
<br>
<strong>!!hits!!</strong><br>
Replaced by the number of hits [mouse-clicks] the link has received.<br>
<br>
<strong>!!gethtml!!</strong><br>
Replaced by the URL to a page where the owner can get the HTML code to place on his web
site so that visitors can rate his link.<br>
<br>


<strong>!!add_to_favorites!!</strong><br>
Replaced by the URL to a script that will add the specific link to the 'Favourites' list of a visitor.<br>
<br>


<strong>!!modify_link!!</strong><br>
Replaced by the URL to a page where the owner can modify the link.<br>
<br>
<strong>!!name!!</strong><br>
Replaced by the name of the link owner.<br>
<br>
<strong>!!email!!</strong><br>
Replaced by the email address of the link owner. (Not recommended for display)<br>
<br>
<strong>!!report_dead_link!!</strong><br>
Replaced by the URL to a page where users can report the link as a broken link.<br><br>
<b>!!more_info_url!!</b><br>
This will be replaced by a link/URL to a page that contains more information about the link. 
If this variable is present in this template, an extra page will be generated with more
information about the link. You can, for example, have extra fields/keys which displays the extra
information if end users click on the 'More Info' link. To customize the extra link information
template, edit the 'Link Info' template.
<br><br>
<strong>!!category!!</strong><br>
Replaced by the category of the link.<br><br>
<strong>!!hidden_url!!</strong><br>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.<br><br>
<strong>!!link_image!!</strong><br>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings<BR>

$sql_extra_keys
";

#<strong>!!link_file!!</strong><br>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file. <BR>


}
elsif ($the_tmpl eq "locked")
{
$dir_details_r = "This template will be displayed to end users when they try to add an URL into a category that is locked. You can lock
categories from the 'Dir Manager' so that new submissions cannot be done in certain categories/directories.";

$vars_available_r = "No variables available for use in this template.";

}
elsif ($the_tmpl eq "locked")
{

$dir_details_r = "This template will be displayed to end users when they try to add an URL into a category that is locked. You can lock
categories from the 'Dir Manager' so that new submissions cannot be done in certain categories/directories.";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "brokenlink")
{

$dir_details_r = "This template will be displayed to end users when they want to report a broken link.";

$vars_available_r = "<b>!!id!!</b><br>
This is part of a hidden form variable, replaced by a link ID for use by the broken link script.<br><br>

<b>!!broken_link_script!!</b><br>
This is the location/path of the broken link script which handles the reporting of broken links.</p>

<b>!!cid!!</b><br>
This is part of a hidden form variable, replaced by a category ID for use by the broken link script.<br><br>

<b>!!title_with_link!!</b><br>
This is part of a hidden form variable, replaced by a category ID for use by the broken link script.<br><br>

<b>!!problem!!</b><br>
Replaced with text explaining a problem if there was a problem in submitting a problem with a link.

<BR><BR>
<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
<BR><BR>
<b>!!url!!</b><br>
Replaced by the URL of the link.
";

}
elsif ($the_tmpl eq "brokenlink_success")
{
$dir_details_r = "This page/template is displayed to end users when they successfully reported a broken link.
";

$vars_available_r = "<b>!!category_with_link!!</b><br>
Replaced by the categories with links to these categories where the link resides.
<BR><BR>
<b>!!title_without_link!!</b><br>
Replaced by the title of the link.
<BR><BR>
<b>!!more_info_url!!</b><br>
Replaced by a link to the 'more info' page of the link.
<BR><BR>
<b>!!url!!</b><br>
Replaced by the URL of the link.
";
}
elsif ($the_tmpl eq "mlist1")
{
$dir_details_r = "This page/template is displayed to end users when they are about to remove themselves from the mailing list.";

$vars_available_r = "<b>!!removalscript!!</b><br>
This variable is replaced by the path to the mailing list removal script.
";
}
elsif ($the_tmpl eq "mlist2")
{
$dir_details_r = "This page/template is displayed to end users when there was a problem removing their email address from the mailing list.";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "mlist3")
{
$dir_details_r = "This page/template is displayed to end users when their email addresses was successfully removed from the mailing list.";

$vars_available_r = "No variables available for use in this template.";
}
elsif ($the_tmpl eq "kanoodle_searchres")
{
$dir_details_r = "This template is used when displaying matched links after a Kanoodle PPC search.";

$vars_available_r = "<b>!!kan_title_with_clickurl!! </b><br>
This variable will show the heading as well as the link to click to kanoodle.com.<br><br>

<b>!!kan_description!! </b><br>
Description of the result as provided by Kanoodle.<br><br>

<b>!!kan_url!! </b><br>
URL to the website. Not to kanoodle but the actual bidders website. <br><br>

<b>!!kan_bidprice!! </b><br>
It shows in US cents the price the bidder will pay for a click through.<br><br>

<b>!!kan_clickurl!! </b><br>
The actual \"&lt;a href&gt;\" link the user will have to click on to register the click through.<br><br>

<b>!!kan_title!! </b><br>
The title of the Website. <br><br>";
}
elsif ($the_tmpl eq "searchfeed_searchres")
{
$dir_details_r = "This template is used when displaying matched links after a Searchfeed PPC search.";

$vars_available_r = "<b>!!searchfeed_title_with_clickurl!! </b><br>
This variable will show the heading as well as the link to click to Searchfeed.com.<br><br>

<b>!!searchfeed_description!! </b><br>
Description of the result as provided by Searchfeed.<br><br>

<b>!!searchfeed_url!! </b><br>
URL to the website. Not to Searchfeed but the actual bidders Website. <br><br>

<b>!!searchfeed_bidprice!! </b><br>
It shows in US cents the price the bidder will pay for a click through.<br><br>

<b>!!searchfeed_clickurl!! </b><br>
The actual \"&lt;a href&gt;\" link the user will have to click on to register the click through.<br><br>

<b>!!searchfeed_title!! </b><br>
The title of the Website. <br><br>";
}
elsif ($the_tmpl eq "searchresdir")
{
$dir_details_r = "This template is used to display category/directory search results.";

$vars_available_r = "<b>%%keywords%%</b><br>
Replaced by the keywords that was search for.<br><br>

<b>%%link_matches%% </b><br>
Indicates the number of matches foun<BR><BR>

<b>%%prevnext%%</b><br>
Replaced by next/previous page navigation links.<BR><BR>

<b>%%searchresults%%</b><br>
Replaced by search results.<BR><BR>
";
}
elsif ($the_tmpl eq "lsearchres_locdir")
{
$dir_details_r = "Defines the style of directories/categories that matched in a search.";

$vars_available_r = "<b>!!nr!!</b><br>
Replaced by a number to indicate the link number in the match list.<br><br>

<b>!!category!!</b><br>
Replaced by the category name that matched.<BR><BR>

<b>!!description!!</b><br>
Replaced by a category description.

";

}
elsif ($the_tmpl eq "fav_main")
{
$dir_details_r = "<strong>Editing: Main Favourites Template </strong><br>
This template acts like a frame around favorite links that has been flagged by visitors as their favourites.
";

$vars_available_r = "<b>!!favorites!!</b><br>
Replaced by favorite link listings that visitors has flagged as their favorites.
";

}
elsif (($the_tmpl eq "fav_standard") or  ($the_tmpl eq "fav_premium"))
{

if ($the_tmpl eq "fav_standard")
{
$dir_details_r = "<strong>Editing: Favorites Link Style </strong><br>
This template reflects the HTML code used when displaying a visitor's favorite links.
";
}
else
{
$dir_details_r = "<strong>Editing: Favorites Link Style Premium</strong><br>
This template reflects the HTML code used when displaying a visitor's favorite premium links.
";
}

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $numfield_type) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";

if ($numfield_type eq "Upload")
		{
		$sql_extra_keys = $sql_extra_keys . qq[<br><font color="#804040"><b>!!$keyname!!</b></font> <br>
This is an upload field/key that has been created. Add <b>!!$keyname!!</b> to this
template to display or use the full server path to the file. You can use upload fields to
display videos, images or offer file downloads, etc. See the PowerSeek documentation for
instructions on the use of 'Upload Fields'.<br>];
		}	
	elsif ($imgk eq "Yes")
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#FF8000\"><b>!!$keyname!!</b></font> <br>This is an image field/key that has been created. Add <b>!!$keyname!!</b> to this template for the image to display. This field/key needs a URL to an image - for example: http://www.yourdomain.com/some_image.gif<br>"
		}
		else
		{
		$sql_extra_keys = $sql_extra_keys . "<br><font color=\"#8080C0\"><b>!!$keyname!!</b></font> <br>This is an extra field/key that has been created. Add <b>!!$keyname!!</b> to this template for it's values to be available.<br>"
		}
	}

$vars_available_r = "
<b>!!remove_link!!</b><BR>
Replaced by a link to the 'Favorites' removal script that removes a 'Favorite' from the 'Favorites List'.
<BR><BR>
<b>!!title_with_link!!</b><BR>
Replaced by the title of the link and the title is hyperlinked.
<BR><BR>
<b>!!title_without_link!!</b><BR>
Replaced by the title of the link, but it is not hyperlinked.
<BR><BR>
<b>!!nr!!</b><BR>
Replaced by the number of the link.
<BR><BR>
<b>!!description!!</b><BR>
Replaced by the description of the link.
<BR><BR>
<b>!!url!!</b><BR>
Replaced by the description of the link.
<BR><BR>
<b>!!date!!</b><BR>
Replaced by the date of when the link was added.
<BR><BR>
<b>!!votes!!</b><BR>
Replaced by the number of votes received for this link.
<BR><BR>
<b>!!rating!!</b><BR>
Replaced by the rating of the link.
<BR><BR>
<b>!!rate_link_url!!</b><BR>
Replaced by the URL to the page where it can be rated.
<BR><BR>
<b>!!rating_image!!</b><BR>
Replaced by an image representing the rating of the link.
<BR><BR>
<b>!!rno!!</b><BR>
Replaced by the number of reviews/comments for this link.
<BR><BR>
<b>!!review_link_url!!</b><BR>
Replaced by the URL to the review script where users can add a review/comment for this link.
<BR><BR>
<b>!!hits!!</b><BR>
Replaced by the number of hits [mouse-clicks] the link has received.
<BR><BR>
<b>!!gethtml!!</b><BR>
Replaced by the URL to a page where the owner can get the HTML code to place on his web site so that visitors can rate his link.
<BR><BR>
<b>!!modify_link!!</b><BR>
Replaced by the URL to a page where the owner can modify the link.
<BR><BR>
<b>!!name!!</b><BR>
Replaced by the name of the link owner.
<BR><BR>
<b>!!email!!</b><BR>
Replaced by the email address of the link owner. (Not recommended for display)
<BR><BR>
<b>!!report_dead_link!!</b><BR>
Replaced by the URL to a page where users can report the link as a broken link.
<BR><BR>
<b>!!more_info_url!!</b><BR>
This will be replaced by a link/URL to a page that contains more information about the link. If this variable is present in this template, an extra page will be generated with more information about the link. You can, for example, have extra fields/keys which displays the extra information if end users click on the 'More Info' link. To customize the extra link information template, edit the 'Link Info' template.
<BR><BR>
<b>!!category!!</b><BR>
Replaced by the category of the link.
<BR><BR>
<b>!!hidden_url!!</b><BR>
This will be replaced by a link to a PowerSeek script that redirects to the URL of the link when clicked.
<BR><BR>
<b>!!link_image!!</b><BR>
This will be replaced by an uploaded image that was uploaded for the link. You can set the width and height to be fixed by going to the Control Panel >> Settings >> Global Engine Settings >> Directory/Category Listing Settings

<BR>
$sql_extra_keys
";

#<b>!!link_file!!</b><BR>
#If something other than an image (like a .pdf or .avi file) was uploaded then this variable can be used and it will be replaced by the full URL path to the file.

}
elsif ($the_tmpl eq "fav_none")
{
$vars_available_r = "<b>This template contains no variable words.</b>";
}



return($dir_details_r, $vars_available_r);
}


sub get_extra_key_details
{
my ($detail_type) = @_;

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split (/\n/, $keydata);
$knr = @akeys;

$extra_details = "";

foreach $k_item (@akeys)
	{
	($keyname, $visible, $size, $searched, $description, $na, $imgk, $nrupart) = split (/\t/, $k_item);
	$real_kname = $keyname . "_cust";
	
	if ($nrupart eq "Upload")
		{
		
			if ($detail_type eq "ADDURL")
				{
				$extra_details = $extra_details . qq[<tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';" bgcolor="#ffffff"><td><font color="#804040"><b>$keyname</b></font></td>
    			<td><strong>$description :</strong> &lt;input type=&quot;file&quot; name=&quot;$keyname&quot; size=&quot;20&quot;&gt;</td></tr>
				];
				}
			elsif ($detail_type eq "MODIFY")
				{
				$mcrit1 = "%%" . $keyname . "_file_with_link%%";
				$mcrit2 = "[" . $keyname . "_no_filename_text]No File Available[" . $keyname . "_no_filename_text_end]";
				$mcrit3 = "&lt;br&gt; &lt;input type=&quot;file&quot; name=&quot;$keyname&quot; size=&quot;20&quot;&gt;&lt;br&gt;";
		      $mcrit4 = "[" . $keyname . "_del_text]Delete File?[" . $keyname . "_del_text_end]%%" . $keyname . "_checkbox%%";
				
				$extra_details = $extra_details . qq[<tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';" bgcolor="#ffffff"><td><font color="#804040"><b>$keyname</b></font></td>
    			<td>$mcrit1<BR>$mcrit2<BR>$mcrit3<BR>$mcrit4
    			</td></tr>
				];
				}				
			
		}
	elsif ($imgk eq "Yes")
		{
			if ($detail_type eq "ADDURL")
				{
				$extra_details  = $extra_details .  qq[<tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';"  bgcolor="#ffffff"><td><font color="#008040"><b>$keyname</b></font></td>
				<td><strong>$description :</strong> &lt;input type=&quot;text&quot; name=&quot;$keyname&quot; size=&quot;20&quot;&gt;</td></tr>
				];
				}
			elsif ($detail_type eq "MODIFY")
				{
				$extra_details  = $extra_details .  qq[<tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';" bgcolor="#ffffff">
				<td><font color="#008040"><b>$keyname</b></font></td><td><strong>$description :</strong> &lt;input type=&quot;text&quot; name=&quot;$keyname&quot; size=&quot;20&quot; value=&quot;!!$keyname!!&quot;&gt;</td></tr>
				];
				}
			
		}
		else
		{
		
			if ($detail_type eq "ADDURL")
				{
				$extra_details  = $extra_details .  qq[  <tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';" bgcolor="#ffffff">
    			<td><font color="#8080ff"><b>$keyname</b></font></td><td><strong>$description :</strong> &lt;input type=&quot;text&quot; name=&quot;$keyname&quot; size=&quot;20&quot;&gt;</td></tr>
				];
				}
				elsif ($detail_type eq "MODIFY")
				{
				$extra_details  = $extra_details .  qq[<tr onmouseover="this.bgColor='#F7F7F7';" onmouseout="this.bgColor='#FFFFFF';" bgcolor="#ffffff">
    			<td><font color="#8080ff"><b>$keyname</b></font></td><td><strong>$description :</strong> &lt;input type=&quot;text&quot; name=&quot;$keyname&quot; size=&quot;20&quot; value=&quot;!!$keyname!!&quot;&gt;</td></tr>
				];
				}
		}
	}


if ($keydata ne "")
	{
	if ($detail_type eq "ADDURL") 
		{
		$returnhtml = qq[
<BR><BR>
<table class="normaltext" style="border: 1px solid rgb(223, 223, 223);" border="0"
cellpadding="6" cellspacing="1" width="100%">
  <tr>
    <td colspan="2" background="$web_url/bar.gif"><b>You have defined extra fields/keys.
    Please read below: </b></td>
  </tr>
  <tr>
    <td colspan="2">
    <strong>Note that it is strongly recommended that you use the 'User Registration System' when allowing
    file uploads by submitters for security reasons. See the PowerSeek documentation for more
    information on using the 'User Registration System'. You are not currently using the 'User Registration System'
    </strong><BR><BR>
    
    In order to enable users to add/submit data to these extra fields/keys
    when submitting a new submission, you have to provide a field box with the name of your
    field/key. <br>
    <br>
    <b>For example: </b>Let's say you created a key/field called 'price' - In order for users
    to add a price value when submitting a new link, they will need a field box to fill in the
    price. The name of this field box needs to be the name of the field/key you
    defined/created. For example you will need to add something like the following HTML code 
    to your submit form: <strong>Enter a Price: &lt;input type=&quot;text&quot; name=&quot;price&quot; size=&quot;20&quot;&gt; </strong><br>
    <p><strong>Note that if you have upload fields (where users upload files) then the
    &lt;FORM&gt; tag of the form will need to look like this:<br>
    <font color="#ff8000">&lt;form method=&quot;POST&quot; action=&quot;!!addurlcgi!!&quot;
    ENCTYPE=&quot;multipart/form-data&quot;&gt;</font></strong></p>
    <p><b>The following fields/keys have been found to be present in your directory/search
    engine: </b><br>
    </td>
  </tr>
  <tr>
    <td background="$web_url/bar.gif" width="26%"><strong>Extra Field/Key Name:</strong></td>
    <td background="$web_url/bar.gif" width="74%"><strong>Suggested HTML Code in 'Add URL'
    form (Between &lt;FORM&gt; tags)</strong></td>
  </tr>

	$extra_details
</table>
];
		}
	elsif ($detail_type eq "MODIFY")
		{

$returnhtml = qq[
<BR><BR>
<table class="normaltext" style="border: 1px solid rgb(223, 223, 223);" border="0"
cellpadding="6" cellspacing="1" width="100%">
  <tr>
    <td colspan="2" background="$web_url/bar.gif"><b>You have defined extra/fields keys.
    Please read below:</b></td>
  </tr>
  <tr>
    <td colspan="2">
    
     <strong>Note that it is strongly recommended that you use the 'User Registration System' when allowing
	  file uploads by submitters for security reasons. See the PowerSeek documentation for more
	  information on using the 'User Registration System'. You are not currently using the 'User Registration System'
	  </strong><BR><BR>

    
    In order to enable users to modify data in these extra fields/keys, you
    have to provide a field box with the name of your field/key and a value inside it. <p><b>
    
    For example: </b>Let's say you created a key/field called 'price' - In order for users to
    modify the price value of their link, they will need a field box where they can modify the
    price. The name of this field box needs to be the name of the field/key you
    defined/created. For example you will have to add something like the following HTML code
    to your modify form: (The text in orange is HTML code) Price: &lt;input
    type=&quot;text&quot; name=&quot;price&quot; size=&quot;20&quot;
    value=&quot;%%price%%&quot;&gt; <br>
    <br>
    <b>The following fields/keys have been found to be present in your directory/search
    engine: </b></td>
  </tr>
  <tr>
    <td background="$web_url/bar.gif" width="26%"><strong>Extra Field/Key Name:</strong></td>
    <td background="$web_url/bar.gif" width="74%"><strong>Suggested HTML Code
    in 'Modify' form (Between &lt;FORM&gt; tags)</strong></td>
  </tr>
$extra_details  
</table>
];
		
		
		}
	
	}

return ($returnhtml);

}





sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

